# $Revision: 1.26 $, $Date: 2011/03/06 09:26:02 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (one test fails)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Run
Summary:	IPC::Run - system() and background procs w/ piping, redirs, ptys
Summary(pl.UTF-8):	IPC::Run - uruchamianie procesów z potokami, przekierowaniami i pseudoterminalami
Name:		perl-IPC-Run
Version:	0.89
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TO/TODDR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9dc3b8cca378b871fafab7c6e5a61cdd
URL:		http://search.cpan.org/dist/IPC-Run/
BuildRequires:	perl-IO-Tty >= 1.08
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%description -l pl.UTF-8
IPC::Run pozwala na uruchamianie i interakcję z procesami potomnymi
przy użyciu plików, potoków, i pseudoterminali. Obsługuje zarówno
interfejs w stylu system(), jak i skryptowy; można także je mieszać.
Można stosować API obiektowe i/lub proceduralne.

Udostępniane są różne operatory przekierowania, podobne do spotykanych
w linii poleceń popularnych Uniksów i DOS-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/IPC/Run.pm
%dir %{perl_vendorlib}/IPC/Run
%{perl_vendorlib}/IPC/Run/*.pm
%{_mandir}/man3/IPC::Run*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Run.spec,v $
Revision 1.26  2011/03/06 09:26:02  qboosh
- unified URL and License information, dropped obsolete noautoreq workaround

Revision 1.25  2010/09/28 08:14:35  arekm
- up to 0.89

Revision 1.24  2009/09/15 10:52:17  amateja
- updated to 0.84

Revision 1.23  2007/03/31 11:27:22  qboosh
- generic URL

Revision 1.22  2007/03/26 16:42:29  radek
- release 2

Revision 1.21  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.19  2006/06/26 08:05:07  maciek2w
- updated 0.80

Revision 1.18  2005/05/18 23:21:49  czucz
- updated to 0.79

Revision 1.17  2004/11/03 22:30:27  paladine
- formatting

Revision 1.16  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.15  2004/03/14 17:37:39  adamg
- updated to 0.78

Revision 1.14  2003/11/01 01:07:30  qboosh
- updated to 0.77, added tests (disabled - one of them fails)

Revision 1.13  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.11  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:33:59  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:18:43  ankry
- autoupdated to 0.75

Revision 1.3  2002/07/12 09:56:41  qboosh
- new %%doc and cosmetics

Revision 1.2  2002/07/11 08:29:24  depesz
- works

Revision 1.1  2002/07/11 08:22:59  depesz
- spec supplied by Radoslaw Zielinski
